Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Interface TransactionResponseConstants

All Known Implementing Classes:
  TransactionResponse

public interface TransactionResponseConstants

Field Summary
`static String` | `ACTION`
`static String` | `AUTHORIZATION_FAILED`
`static int` | `AUTHORIZED`
`static String` | `CAPTURE_ERROR`
`static String` | `CONFIGURATION_ERROR`
`static String` | `CREDITCARD_INVALID`
`static String` | `EXCEPTION`
`static int` | `FAILURE`
`static String` | `GENERAL_SERVICE_ERROR`
`static int` | `MARKEDFORSETTLE`
`static int` | `NOSTATUS`
`static String` | `OK`
`static int` | `PENDINGSETTLE`
`static int` | `REJECTED`
`static int` | `RETRY`
`static String` | `ROLLBACK`
`static String` | `SERVICE_UNAVAILABLE_ERROR`
`static String` | `SETTLE_ERROR`
`static int` | `SETTLED`
`static int` | `SETTLEFAILED`
`static String` | `SYSTEM_ERROR`

Field Detail

### ACTION

    public static final String ACTION

See Also:
  Constant Field Values

### AUTHORIZATION_FAILED

    public static final String AUTHORIZATION_FAILED

See Also:
  Constant Field Values

### AUTHORIZED

    public static final int AUTHORIZED

See Also:
  Constant Field Values

### CAPTURE_ERROR

    public static final String CAPTURE_ERROR

See Also:
  Constant Field Values

### CONFIGURATION_ERROR

    public static final String CONFIGURATION_ERROR

See Also:
  Constant Field Values

### CREDITCARD_INVALID

    public static final String CREDITCARD_INVALID

See Also:
  Constant Field Values

### EXCEPTION

    public static final String EXCEPTION

See Also:
  Constant Field Values

### FAILURE

    public static final int FAILURE

See Also:
  Constant Field Values

### GENERAL_SERVICE_ERROR

    public static final String GENERAL_SERVICE_ERROR

See Also:
  Constant Field Values

### MARKEDFORSETTLE

    public static final int MARKEDFORSETTLE

See Also:
  Constant Field Values

### NOSTATUS

    public static final int NOSTATUS

See Also:
  Constant Field Values

### OK

    public static final String OK

See Also:
  Constant Field Values

### PENDINGSETTLE

    public static final int PENDINGSETTLE

See Also:
  Constant Field Values

### REJECTED

    public static final int REJECTED

See Also:
  Constant Field Values

### RETRY

    public static final int RETRY

See Also:
  Constant Field Values

### ROLLBACK

    public static final String ROLLBACK

See Also:
  Constant Field Values

### SERVICE_UNAVAILABLE_ERROR

    public static final String SERVICE_UNAVAILABLE_ERROR

See Also:
  Constant Field Values

### SETTLE_ERROR

    public static final String SETTLE_ERROR

See Also:
  Constant Field Values

### SETTLED

    public static final int SETTLED

See Also:
  Constant Field Values

### SETTLEFAILED

    public static final int SETTLEFAILED

See Also:
  Constant Field Values

### SYSTEM_ERROR

    public static final String SYSTEM_ERROR

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved